package com.persagy.server.datacenter.services.rel

import com.persagy.mybatis.SMybatisDao
import com.persagy.server.datacenter.datacenter.models.entities.dictnew.DefClass
import com.persagy.server.datacenter.wanda.obj.Equipment
import com.persagy.server.datacenter.wanda.obj.ZoneSpace
import com.persagy.server.datacenter.wanda.rel.REq2Sp
import com.persagy.server.datacenter.wanda.rel.REq2Sy
import com.persagy.server.datacenter.wanda.rel.REq2SyTwo
import com.persagy.server.datacenter.wanda.rel.RSp2Sp
import com.persagy.service.SObjectService

/**
 *
 * @author  Cainga
 * @date  2021/3/3 15:42
 */
object CommonObjectService {

    val rEq2SpService = SObjectService<REq2Sp>(SMybatisDao(REq2Sp::class.java))
    val equipmentService = SObjectService<Equipment>(SMybatisDao(Equipment::class.java))
    val dictClassService = SObjectService<DefClass>(SMybatisDao(DefClass::class.java))
    val eq2SyService = SObjectService<REq2Sy>(SMybatisDao(REq2Sy::class.java))
    val zoneSpaceService = SObjectService<ZoneSpace>(SMybatisDao(ZoneSpace::class.java))
    val sp2SpService = SObjectService<RSp2Sp>(SMybatisDao(RSp2Sp::class.java))
    val rEq2SyTwoService = SObjectService(SMybatisDao(REq2SyTwo::class.java))
}